/* ***** BEGIN LICENSE BLOCK *****

 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * The Original Code is bookmarkshome
 *
 * The Initial Developer of the Original Code is Jeroen Groenenboom.
 *
 * ***** END LICENSE BLOCK ***** */

var bmhBookmarksObserver = null;

function getBmhBookmarksObserverService() {
    try {
	// create reference to observer of bookmarks
	bmhBookmarksObserver = Components.classes["@jeroen/bmhBookmarksObserverService;1"]
	    .getService( Components.interfaces.nsIRDFObserver );
	return;
    }
    catch( e ) {
	dump( e );
    }
    try {
	// something wrong, get dynamic page
	var bmhPrefBranch = Components.classes["@mozilla.org/preferences-service;1"]
	    .getService( Components.interfaces.nsIPrefService )
	    .getBranch( "bookmarkshome." );
	bmhPrefBranch.setBoolPref( "dynamic", true );
    }
    catch( e ) {
	// if everything goes wrong, bmh page will be
	// either static or dynamic, no disaster
    }
}

// needs only to be called by the root window
// but harmless if called by other windows
getBmhBookmarksObserverService();





